php7.1 on Debian 9

Discussion in 'Installation/Configuration' started by jpcyrenne, Nov 28, 2017.

  1. jpcyrenne

    jpcyrenne Member HowtoForge Supporter

    Good day,

    I installed IPSConfig 3.1.8p1 on a Debian 9.1
    Would there be a different procedure to install the latest PHP7.1.12 on Debian 9? I tried to follow the procedure on Debian 8 with no success.
    https://www.howtoforge.com/tutorial/how-to-install-php-7-on-debian/

    I had to removed 2 packages in order to install the dependencies (not saying it's the right thing)
    E: Unable to locate package libjpeg62-turbo-dbg
    E: Package 'libpng12-dev' has no installation candidate

    I get this error with make:
    checking for cURL in default path... not found
    configure: error: Please reinstall the libcurl distribution -
    easy.h should be in <curl-dir>/include/curl/
    [email protected]:/usr/local/src/php7-build/php-7.1.8# make
    make: *** No targets specified and no makefile found. Stop.

    Thank you in advance,
    JP
     
  2. gOOvER

    gOOvER Member

  3. Taleman

    Taleman Member HowtoForge Supporter

    Also pay attention to which PHP is the default. ISPConfig does not currently work with PHP 7.1, so set it up so that PHP 7.0 is the default.
     
  4. gOOvER

    gOOvER Member

     
  5. ahrasis

    ahrasis Active Member

    Actually in 3.1.8 it is working fine. However, to use php 7.1 for your ISPC, you will need to manually modify the installation file for your respective distro, which is not advisable unless, your server is not for public and you really know what you are doing.
     

Share This Page